Subject: Re: [Bitcoin-development] BIP for Proof of Payment

From: Tom Harding <[email-masked]>
Date: Tue, 16 Jun 2015 07:05:01 -0700

On 6/16/2015 5:12 AM, Kalle Rosenbaum wrote:
> 2015-06-16 7:26 GMT+02:00 Tom Harding <[email-masked]>:
>> Kalle goes to some trouble to describe how merchants need to ensure that
>> they only accept a PoP provided as a response to their challenge.
>>
> Do you mean that it will be hard to explain to merchants that they
> must check the nonce in the PoP so that it matches the nonce in the
> pop request?

Sorry for the idiomatic language.  No, I just meant that you have
thought it out in detail!  You standardize a latent capability of the
cryptosystem.  It seems very powerful for some classes of users.